commit 4afe9204870d1aa18a9f5fada09ebb06941cba3e
Author: jklowden <jklowden>
Date:   Wed Jan 7 02:58:32 2009 +0000

    src/replacements/fakepoll.h

diff --git a/ChangeLog b/ChangeLog
index b3b87fb..ca11e0b 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,11 @@
+Tue Jan  6 21:53:56 EST 2009	JK Lowden <jklowden@freetds.org>
+	* include/Makefile.am
+	* include/fakepoll.h  src/replacements/fakepoll.h
+	* include/replacements.h src/replacements/Makefile.am
+	- organized fakepoll like the other replacements
+	* src/apps/defncopy.c print numeric sized correctly
+	* src/tds/token.c minor logging 
+
 Sat Jan  3 10:25:24 EST 2009	JK Lowden <jklowden@freetds.org>
 	* src/tds/convert.c src/tds/tds_willconvert.pl
 	- support SYBUNIQUE and SYBIMAGE
@@ -1161,4 +1169,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2704 2009/01/03 15:26:09 jklowden Exp $
+$Id: ChangeLog,v 1.2705 2009/01/07 02:58:32 jklowden Exp $
diff --git a/include/Makefile.am b/include/Makefile.am
index 2924983..a9de20b 100644
--- a/include/Makefile.am
+++ b/include/Makefile.am
@@ -10,6 +10,7 @@ nodist_include_HEADERS	= tds_sysdep_public.h
 
 noinst_HEADERS	=	ctlib.h \
 			dblib.h \
+			fakepoll.h \
 			md4.h md5.h des.h hmac_md5.h \
 			replacements.h \
 			replacements/readpassphrase.h \
diff --git a/include/fakepoll.h b/include/fakepoll.h
new file mode 100644
index 0000000..e81f9ad
--- /dev/null
+++ b/include/fakepoll.h
@@ -0,0 +1,55 @@
+/* $Id: fakepoll.h,v 1.1 2009/01/07 02:58:32 jklowden Exp $ */
+#if !defined(_FAKE_POLL_H) && !defined(HAVE_POLL)
+#define _FAKE_POLL_H
+
+#if HAVE_CONFIG_H
+#include <config.h>
+#endif 
+
+
+#if HAVE_LIMITS_H
+#include <limits.h>
+#endif 
+
+#if HAVE_SYS_SELECT_H
+#include <sys/select.h>
+#endif 
+
+#if defined(WIN32)
+#include <winsock2.h>
+#endif
+
+#if !defined(FD_SETSIZE)
+# if !defined(OPEN_MAX)
+# error cannot establish FD_SETSIZE
+# endif
+#define FD_SETSIZE OPEN_MAX
+#endif
+
+// poll flags
+#define POLLIN  0x0001
+#define POLLOUT 0x0004
+#define POLLERR 0x0008
+
+// synonyms
+#define POLLNORM POLLIN
+#define POLLPRI POLLIN
+#define POLLRDNORM POLLIN
+#define POLLRDBAND POLLIN
+#define POLLWRNORM POLLOUT
+#define POLLWRBAND POLLOUT
+
+// ignored
+#define POLLHUP 0x0010
+#define POLLNVAL 0x0020
+
+typedef struct pollfd {
+    int fd;		/* file descriptor to poll */
+    short events;	/* events of interest on fd */
+    short revents;	/* events that occurred on fd */
+} pollfd_t;
+
+
+int fakepoll(struct pollfd fds[], int nfds, int timeout);
+
+#endif

